#ifndef MARS_MReportCurrents
#define MARS_MReportCurrents

#ifndef MARS_MReport
#include "MReport.h"
#endif

#ifndef ROOT_TArrayF
#include <TArrayF.h>
#endif

class MReportCurrents : public MReport
{
private:
    Byte_t fStatus1;
    Byte_t fStatus2;

    TArrayF fCurrents;

public:
    MReportCurrents();

    Bool_t InterpreteBody(TString &str);

    ClassDef(MReportCurrents, 0) // Class for DC-REPORT information
};

#endif
